Bug 2883 - Back-ports from OJS / Harvester
Back-ports from OJS / Harvester
Status: RESOLVED FIXED
Product: OCS
Classification: Unclassified
Component: General
2.1
PC Linux
: P1 normal
Assigned To: PKP Support
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2007-05-17 16:55 PDT by Alec Smecher
Modified: 2008-05-23 10:22 PDT (History)
0 users

See Also:
Version Reported In:
Also Affects:


Attachments
Patch against pre-2.0.1 CVS (36.51 KB, patch)
2007-06-13 12:07 PDT, Alec Smecher
Details | Diff
Patch against pre-2.0.1 CVS (25.39 KB, patch)
2007-06-13 12:10 PDT, Alec Smecher
Details | Diff
Theming support for pre-2.0.1 CVS (115.01 KB, patch)
2007-06-18 11:06 PDT, Alec Smecher
Details | Diff
Citation formats as plugins (55.69 KB, patch)
2007-06-20 17:37 PDT, Alec Smecher
Details | Diff
Patch against pre-2.0.1 CVS (8.26 KB, patch)
2007-07-30 12:25 PDT, Alec Smecher
Details | Diff
Patch against pre-2.0.1 CVS for OJS #2578 (email validation) (13.82 KB, patch)
2007-08-08 15:01 PDT, Alec Smecher
Details | Diff
Correct paper submission language auto guess to en code (1.39 KB, patch)
2007-10-01 18:26 PDT, Alec Smecher
Details | Diff
Patch against OJS pre-2.2 CVS (5.70 KB, patch)
2007-10-10 10:30 PDT, Alec Smecher
Details | Diff
Patch against pre-2.2 OJS CVS (9.42 KB, patch)
2007-11-14 14:37 PST, Alec Smecher
Details | Diff
Patch against pre-2.1 CVS (26.91 KB, patch)
2007-12-07 16:51 PST, Alec Smecher
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Alec Smecher 2007-05-17 16:55:32 PDT
Generic tracking entry for back-ports from OJS or the Harvester
Comment 1 Alec Smecher 2007-05-17 16:55:55 PDT
OJS bug #2816 (missing function call in author index) back-ported
Comment 2 Alec Smecher 2007-05-25 14:11:36 PDT
Bug #2770 should be back-ported for OCS 2.0.1.
Comment 3 Alec Smecher 2007-05-25 15:36:28 PDT
Back-ported bug #2675 (change ip_range field type)
Comment 4 Alec Smecher 2007-05-28 15:20:16 PDT
Bug #2710 needs back-porting in cases where it applies to OCS.
Comment 5 Alec Smecher 2007-05-28 16:20:04 PDT
Bug #2889 (CC other authors option in setup) needs to be back-ported.
Comment 6 Alec Smecher 2007-05-28 17:31:09 PDT
Bug #2891 should be back-ported (remove dead notifyPresenter code)
Comment 7 Alec Smecher 2007-05-30 16:11:58 PDT
Bug #2712 back-ported: skipped emails no longer recorded in log
Comment 8 Alec Smecher 2007-05-31 09:10:26 PDT
Back-ported OJS bug #2893 (password hash with auth plugins)
Comment 9 Alec Smecher 2007-05-31 09:33:33 PDT
Back-ported bug #2894 from OJS (From: double-encoding on email send form)
Comment 10 Alec Smecher 2007-06-05 11:02:49 PDT
Back-ported OJS bug #2901 (dbl-click term with path_info_disabled)
Comment 11 Alec Smecher 2007-06-07 09:05:54 PDT
Back-ported OJS bug #2904 (IDs for sidebar components)
Comment 12 Alec Smecher 2007-06-12 10:08:43 PDT
Back-ported OJS bug #2907 (casting for PostgreSQL)
Comment 13 Alec Smecher 2007-06-12 11:48:20 PDT
Back-ported OJS bug #2910 (URLs with [] not properly escaped)
Comment 14 Alec Smecher 2007-06-12 14:46:08 PDT
Back-ported OJS bug #2913 (URL field in JM user edit not working)
Comment 15 Alec Smecher 2007-06-13 12:07:36 PDT
Created attachment 213 [details]
Patch against pre-2.0.1 CVS

Back-ported OJS bug #2916 (POST checks for form submission)
Comment 16 Alec Smecher 2007-06-13 12:10:16 PDT
Created attachment 214 [details]
Patch against pre-2.0.1 CVS

Cleaned up the above patch for OJS bug #2916.
Comment 17 Alec Smecher 2007-06-15 11:50:43 PDT
OJS bug #2921 back-ported (locale-specific CSS)
Comment 18 Alec Smecher 2007-06-18 11:06:02 PDT
Created attachment 219 [details]
Theming support for pre-2.0.1 CVS
Comment 19 Alec Smecher 2007-06-18 11:06:24 PDT
OJS bug #2922 (theming support) added from OJS. (See attachment #219 [details].)
Comment 20 Alec Smecher 2007-06-18 14:14:06 PDT
Bug #2924 back-ported (settings changes should be reflected on "Saved" page)
Comment 21 Alec Smecher 2007-06-19 11:54:41 PDT
Bug #2914 and bug #2926 (date formatting and functions) back-ported from OJS.
Comment 22 Alec Smecher 2007-06-19 12:37:54 PDT
OCS bug #2917 patched (casts for PostgreSQL)
Comment 23 Alec Smecher 2007-06-19 13:15:19 PDT
Back-ported OJS bug #2898 (site title on site home)
Comment 24 Alec Smecher 2007-06-19 16:38:39 PDT
OJS bug #2681 needs to be back-ported once it has been tested with more browsers.
Comment 25 Alec Smecher 2007-06-20 17:37:06 PDT
Created attachment 225 [details]
Citation formats as plugins
Comment 26 Alec Smecher 2007-06-20 17:37:30 PDT
Back-ported OJS bug #2694 (citation formats as plugins & APA changes)
Comment 27 Alec Smecher 2007-06-21 10:57:17 PDT
Bug #2693 partially back-ported (comment escaping)
Comment 28 Alec Smecher 2007-06-28 10:40:10 PDT
OJS bug #2416 needs to be ported (add anchors to lists)
Comment 29 Alec Smecher 2007-06-28 11:32:05 PDT
OJS bug #2933 (XHTML compliance tweaks) back-ported
Comment 30 Alec Smecher 2007-07-04 15:43:26 PDT
Back-ported OJS bug #2938 (addressing should be displayed on reviewer emails)
Comment 31 Alec Smecher 2007-07-05 11:50:43 PDT
OJS bug #2940 (status stamped too often) back-ported
Comment 32 Alec Smecher 2007-07-05 11:56:22 PDT
Back-ported OJS bug #2941 (add sorting to file manager)
Comment 33 Alec Smecher 2007-07-05 15:00:56 PDT
Fixed OJS bug #2943 (edit assignments for roles in different conferences)
Comment 34 Alec Smecher 2007-07-05 15:28:16 PDT
Back-ported OJS #2249# (order of uploading on galley form)
Comment 35 Alec Smecher 2007-07-05 16:02:11 PDT
Back-ported OJS bug #2944 (warning in plugin registry)
Comment 36 Alec Smecher 2007-07-06 11:11:58 PDT
OJS bug #2945 (locale key typo) fixed.
Comment 37 Alec Smecher 2007-07-06 15:59:00 PDT
OJS bug #2947 (font sizer CSS order of inclusion) fixed.
Comment 38 Alec Smecher 2007-07-17 14:30:08 PDT
Back-ported OJS bug #2952 (move allowed HTML list into config file)
Comment 39 Alec Smecher 2007-07-17 15:44:50 PDT
Back-ported OJS #2955 (allow variable replacements in HTML galleys)
Comment 40 Alec Smecher 2007-07-23 15:53:03 PDT
Back-ported bug #2374 (doxygen comment changes).
Comment 41 Alec Smecher 2007-07-23 15:53:54 PDT
Bug #2958 needs back-porting (layout overhaul)
Comment 42 Alec Smecher 2007-07-24 17:51:57 PDT
Bug #2958 back-ported according; item relating to locales list and Bozana's changes in comment #5 there needs addressing.
Comment 43 Alec Smecher 2007-07-30 12:25:39 PDT
Created attachment 248 [details]
Patch against pre-2.0.1 CVS
Comment 44 Alec Smecher 2007-07-30 12:26:26 PDT
Back-ported OJS #2510 (email restrictions to prevent spamming via OJS)
Comment 45 Alec Smecher 2007-07-31 11:47:17 PDT
Back-ported OJS bug #2555 (move review constants)
Comment 46 Alec Smecher 2007-07-31 16:49:54 PDT
Back-ported OJS bug #2652 (refWorks)
Comment 47 Alec Smecher 2007-08-02 11:53:44 PDT
Back-ported OJS bug #2966 (fix acceptance rate stats)
Comment 48 Alec Smecher 2007-08-07 16:39:09 PDT
OJS bug #2578 (email validation process) needs back-porting.
Comment 49 Alec Smecher 2007-08-08 15:01:56 PDT
Created attachment 251 [details]
Patch against pre-2.0.1 CVS for OJS #2578 (email validation)
Comment 50 Alec Smecher 2007-08-08 15:03:58 PDT
OJS bug #2578 back-ported.
Comment 51 Alec Smecher 2007-08-08 16:46:53 PDT
Back-ported OJS bug #2295 (installer usability improvements)
Comment 52 Alec Smecher 2007-08-09 09:33:32 PDT
Back-ported OJS #2973.

Summary of items still needing attention:
 - Comment #42 still applies
 - Bug #2416
 - Bug #2693
 - Bug #2681
 - Bug #2891
 - Bug #2889
 - Bug #2710
 - Bug #2770
Comment 53 Alec Smecher 2007-08-09 12:30:42 PDT
Bug #2685 needs back-porting (submission process changes)
Comment 54 Alec Smecher 2007-08-09 14:53:38 PDT
Bug #2416 (anchors in lists) back-ported
Comment 55 Alec Smecher 2007-08-09 15:09:01 PDT
Bug #2861 back-ported from OJS (Create Reviewer / User behavior)
Comment 56 Alec Smecher 2007-08-09 15:15:14 PDT
Bug #2891 already back-ported.
Comment 57 Alec Smecher 2007-08-09 15:23:37 PDT
Bug #2770 ("All Users" clarifications) back-ported.
Comment 58 Alec Smecher 2007-08-09 15:33:06 PDT
Back-ported bug #2710 (role IDs and comments)
Comment 59 Alec Smecher 2007-08-09 15:51:47 PDT
Bug #2861 should read bug #2681.

Summary of items still needing attention:
 - Comment #42 still applies
 - Bug #2693 (revised review steps for reviewers)
 - Bug #2889 (emailing editor decisions to co-authors)
 - Bug #2685 (submission process)

Comment 60 Alec Smecher 2007-08-09 17:19:05 PDT
Bug #2889 back-ported (notify other authors on director decision)
Comment 61 Alec Smecher 2007-08-14 15:45:05 PDT
Back-ported OJS bug #2977 (image filename escaping in HTML galleys)
Comment 62 Alec Smecher 2007-08-16 13:01:58 PDT
OJS bug #2978 (misplaced close brace / duped comments) back-ported.
Comment 63 Alec Smecher 2007-08-30 10:06:16 PDT
Bug #2988 (cache-control headers) needs back-porting.
Comment 64 Alec Smecher 2007-08-30 11:21:57 PDT
OJS bug #2990 (minor XSS flaw) fixed
Comment 65 Alec Smecher 2007-09-04 09:45:26 PDT
OJS bug #2991 (validation / whitespace problems) back-ported.
Comment 66 Alec Smecher 2007-09-10 11:57:26 PDT
OJS bug #2996 (RT updates) back-ported
Comment 67 MJ Suhonos 2007-09-12 11:33:15 PDT
Back-port #2342# from OJS (fixed small by-reference PHP notice)
Comment 68 Alec Smecher 2007-09-20 11:00:11 PDT
Back-ported OJS bug #2961 (localization overhaul)
Comment 69 Alec Smecher 2007-09-20 11:55:37 PDT
Back-ported OJS bug #2999 (error handling tune-ups for plugins)
Comment 70 Alec Smecher 2007-09-21 09:42:11 PDT
Back-ported OJS bug #3000 (cache / installer error behavior)
Comment 71 Alec Smecher 2007-09-21 14:58:26 PDT
Back-ported OJS bug #2987 (supp file type other not displayed)
Comment 72 Alec Smecher 2007-09-21 14:58:53 PDT
Oops, didn't mean to close tracking issue.
Comment 73 Alec Smecher 2007-09-21 16:10:18 PDT
Back-ported OJS bug #2982 (editor assignment counts)
Comment 74 Alec Smecher 2007-09-24 13:44:29 PDT
Bug #2912 needs to be back-ported, as does the site-wide stylesheet (if not already mentioned here)
Comment 75 Alec Smecher 2007-09-24 15:52:43 PDT
OJS bug #3003 (review page locale key tune-ups) back-ported.
Comment 76 Michael Felczak 2007-09-25 13:16:43 PDT
OJS Bug #3001 (Improve subscription authentication performance) needs to be back-ported.
Comment 77 Alec Smecher 2007-09-25 13:50:11 PDT
Bug #2513 (search engine for section editors) *may* need to be back-ported (i.e. it may not be necessary).
Comment 78 Alec Smecher 2007-09-25 16:26:08 PDT
Bug #2986 (ADODB indexing problems) needs back-porting.
Comment 79 Alec Smecher 2007-09-25 16:37:14 PDT
OJS bug #3006 (import/export typo) back-ported.
Comment 80 Alec Smecher 2007-09-27 09:22:06 PDT
OJS bug #3011 partially back-ported -- Create User is not available on OCS 2.0, so that (non-existent) link has not been given a source parameter as in OJS.
Comment 81 Michael Felczak 2007-09-28 17:40:22 PDT
OJS Bug #2490 (Update Subscription Type Public Display Column and Code to Match Updates in Bug #2213) needs to be back-ported.
Comment 82 Alec Smecher 2007-09-29 10:38:33 PDT
Back-ported bug #3016 (mktime fix)
Comment 83 Alec Smecher 2007-10-01 18:22:37 PDT
Part of bug #2500 needs to be back-ported (i.e. the new RT as per the patch)
Comment 84 Alec Smecher 2007-10-01 18:26:37 PDT
Created attachment 297 [details]
Correct paper submission language auto guess to en code

This attachment needs back-porting
Comment 85 Alec Smecher 2007-10-01 18:27:20 PDT
Later of Bozana Bokan's two contributed patches, recv'd via email Sept 30 or Oct 1, needs back-porting.
Comment 86 Alec Smecher 2007-10-02 11:11:50 PDT
Bug #3022 (Smarty update) back-ported from OJS.
Comment 87 Alec Smecher 2007-10-02 11:42:28 PDT
OJS bug #3024 needs back-porting.
Comment 88 Alec Smecher 2007-10-02 13:39:11 PDT
OJS bug #3025 needs assessment for partial back-porting.
Comment 89 Alec Smecher 2007-10-02 15:33:42 PDT
OJS bug #3026 back-ported (adodb link fix)
Comment 90 Alec Smecher 2007-10-02 17:05:53 PDT
OJS bug #3030 needs partial back-porting (galleys and languages)
Comment 91 Michael Felczak 2007-10-04 11:52:13 PDT
OJS Bug #3039 (Delete journal does not delete all dependent items) needs to be back-ported.
Comment 92 Alec Smecher 2007-10-05 11:32:43 PDT
Fix for bug #3046 probably needs to be back-ported.
Comment 93 Alec Smecher 2007-10-05 13:59:13 PDT
Bug #3041 (add URL checks to user forms) needs back-porting
Comment 94 Alec Smecher 2007-10-05 16:40:21 PDT
Bug #3049 (move role-specific block into plugin architecture) needs back-porting from OJS.
Comment 95 Alec Smecher 2007-10-09 09:13:25 PDT
OJS bug #3056 (localization / reset process) back-ported.
Comment 96 Alec Smecher 2007-10-10 10:30:33 PDT
Created attachment 320 [details]
Patch against OJS pre-2.2 CVS

This attachment also needs to be back-ported.
Comment 97 Alec Smecher 2007-10-15 16:12:46 PDT
OJS bug #3062 (wording for payment plugins) back-ported.
Comment 98 Alec Smecher 2007-10-17 09:53:28 PDT
OJS bug #3078 probably needs to be back-ported.
Comment 99 Alec Smecher 2007-10-22 13:53:36 PDT
OJS bug #3087 needs back-porting (title missing on submission confirm page)
Comment 100 Alec Smecher 2007-10-22 15:39:14 PDT
Backported OJS bug #3092 (Corrected behavior for locale-less plugins)
Comment 101 Alec Smecher 2007-10-23 11:55:19 PDT
Bug #3096 (registration enable/disable toggle JS behavior) needs back-porting
Comment 102 Alec Smecher 2007-10-23 12:57:54 PDT
OJS bug #3095 (password length limitation) back-ported.
Comment 103 Alec Smecher 2007-10-24 16:04:13 PDT
OJS Bug #3103 (javascript pop-up escaping) fixed.
Comment 104 Alec Smecher 2007-10-24 16:19:41 PDT
OJS bug #3104 probably needs to be back-ported.
Comment 105 Alec Smecher 2007-10-24 16:28:46 PDT
OJS bug #3105 (language form bug) needs back-porting
Comment 106 Alec Smecher 2007-10-25 09:44:53 PDT
Bug #3109 (escaping for announcements) back-ported from OJS
Comment 107 Alec Smecher 2007-10-26 09:54:23 PDT
OJS's pages/manager/SetupHandler.inc.php 1.24 => 1.25 needs to be applied to OCS's pages/manager/SchedConfSetupHandler.inc.php
Comment 108 Alec Smecher 2007-10-26 14:23:53 PDT
Back-ported OJS bug #3106 (help TOC recursion)
Comment 109 Alec Smecher 2007-10-26 15:15:53 PDT
OJS bug #3111 (email author RT & addressing fields) back-ported.
Comment 110 Alec Smecher 2007-10-31 15:00:07 PDT
OJS bug #3059 (attachment #351 [details]) needs back-porting to add download support for locales.
Comment 111 Alec Smecher 2007-11-01 11:00:06 PDT
Bug #3119 (default for citation formats) needs back-porting.
Comment 112 Alec Smecher 2007-11-02 11:06:59 PDT
OJS bug #2958 (theme updates) partially back-ported; classic* themes still need work.
Comment 113 Alec Smecher 2007-11-02 12:05:00 PDT
Bug #3070 back-ported (CSS fix)
Comment 114 Alec Smecher 2007-11-02 14:59:29 PDT
OJS bug #3113 (temporarily disable pretend upgrade) needs back-porting.
Comment 115 Alec Smecher 2007-11-06 14:55:14 PST
OJS bug #3132 (validation problems) needs back-porting (probably needs to wait for several of the above to be back-ported first)
Comment 116 Alec Smecher 2007-11-06 15:50:16 PST
Bug #3135 needs back-porting (incorrect ordering of parameters in PublishedArticleDAO)
Comment 117 Alec Smecher 2007-11-07 13:34:36 PST
Fix for bug #3128 may need back-porting (changed location of editorial process image for different locales)
Comment 118 Alec Smecher 2007-11-08 09:29:19 PST
OJS bug #3139 may need back-porting (sponsorship display w/empty settings)
Comment 119 Alec Smecher 2007-11-08 18:01:42 PST
OJS bug #3142 (supp download via metadata.tpl on RT) needs back-porting.
Comment 120 Alec Smecher 2007-11-14 14:37:08 PST
Created attachment 377 [details]
Patch against pre-2.2 OJS CVS

Also needs back-porting against CVS
Comment 121 Alec Smecher 2007-11-20 12:57:22 PST
This is a summary of all above comments. The following still need attention:

 - Comment #42
 - Bug #2693 (review steps for reviewers)
 - Bug #2685 (submission process changes)
 - Bug #2988 (cache control headers)
 - Bug #2342 (pass-by-reference notice)
 - Site-wide stylesheet (bug #?)
 - Bug #3003 (subscription authentication performance)
 - Bug #2513 MAYBE (section editor search engine)
 - Bug #2986 (ADODB index problems)
 - Comment #81 (subscription types)
 - Comment #83 (RT)
 - Attachment #297 [details] (submission language field guess)
 - Comment #85 (Bozana's changes)
 - Bug #3024 (reviewing interests added to search fields)
 - Bug #3025 (various localization fixes) needs partial back-porting as applicable
 - Bug #3030 (galleys and languages) needs back-porting as applicable
 - Bug #3039 (deleting all dependents) needs back-porting
 - Bug #3046 (auto-assignment of SEs) needs back-porting as applicable
 - Bug #3041 (URL checks on user forms) needs back-porting
 - Bug #3049 (role block plugin)
 - Attachment #320 [details] (localization fixes)
 - Bug #3078 (journal help search) as applicable
 - Bug #3087 (title on submission confirm page)
 - Bug #3096 (JS registration enable/disable glitch)
 - Bug #3095 (password length limitation)
 - Bug #3103 (Javascript pop-up escaping)
 - Bug #3104 (PublishedArticleDAO order of params)
 - Bug #3105 (language form bug)
 - Comment #107
 - Attachment #351 [details] (locale download support)
 - Bug #3119 (default for citation format)
 - Comment #112 (theme updates)
 - Bug #3113 (disable pretend upgrade)
 - Bug #3132 (validation problems); probably should wait for some of above
 - Bug #3135 (incorrect ordering of params in PublishedArticleDAO)
 - Bug #3128 (location of editorial process image)
 - Bug #3139 (sponsorship / empty settings) as/if applicable
 - Bug #3142 (supp download via metadata.tpl in RT) 
 - Attachment #377 [details] (installing locales)
Comment 122 Alec Smecher 2007-11-20 13:43:42 PST
- OJS Bug #2988 (cache control headers) back-ported
- Attachment #297 [details] back-ported
- Site-wide stylesheet back-ported (bug #2470)
- Bug #2912 (site-wide logo) needs back-porting
Comment 123 Alec Smecher 2007-11-20 15:05:59 PST
- Parts of Bug #2693 implemented for OJS 2.2 are already back-ported
- Comment #85 addressed
Comment 124 Alec Smecher 2007-11-20 15:17:13 PST
OJS bug #3144 back-ported.

This is a summary of all above comments. The following still need attention:

 - Comment #42
 - Bug #2685 (submission process changes)
 - Bug #2342 (pass-by-reference notice)
 - Bug #2912 (Site-wide logo)
 - Bug #3003 (subscription authentication performance)
 - Bug #2513 MAYBE (section editor search engine)
 - Bug #2986 (ADODB index problems)
 - Comment #81 (subscription types)
 - Comment #83 (RT)
 - Bug #3024 (reviewing interests added to search fields)
 - Bug #3025 (various localization fixes) needs partial back-porting as
applicable
 - Bug #3030 (galleys and languages) needs back-porting as applicable
 - Bug #3039 (deleting all dependents) needs back-porting
 - Bug #3046 (auto-assignment of SEs) needs back-porting as applicable
 - Bug #3041 (URL checks on user forms) needs back-porting
 - Bug #3049 (role block plugin)
 - Attachment #320 [details] (localization fixes)
 - Bug #3078 (journal help search) as applicable
 - Bug #3087 (title on submission confirm page)
 - Bug #3096 (JS registration enable/disable glitch)
 - Bug #3095 (password length limitation)
 - Bug #3103 (Javascript pop-up escaping)
 - Bug #3104 (PublishedArticleDAO order of params)
 - Bug #3105 (language form bug)
 - Comment #107
 - Attachment #351 [details] (locale download support)
 - Bug #3119 (default for citation format)
 - Comment #112 (theme updates)
 - Bug #3113 (disable pretend upgrade)
 - Bug #3132 (validation problems); probably should wait for some of above
 - Bug #3135 (incorrect ordering of params in PublishedArticleDAO)
 - Bug #3128 (location of editorial process image)
 - Bug #3139 (sponsorship / empty settings) as/if applicable
 - Bug #3142 (supp download via metadata.tpl in RT) 
 - Attachment #377 [details] (installing locales)
Comment 125 Alec Smecher 2007-11-22 10:51:59 PST
- Bug #3119 (citation format default) back-ported.
- Bug #3030 (galley locale fix) back-ported EXCEPT part of patch to templates/submission/layout/galleyForm.tpl
Comment 126 Alec Smecher 2007-11-23 14:58:49 PST
Bug #2342 is already dealt with;
Bug #3024 back-ported
Comment 127 Alec Smecher 2007-11-23 16:23:26 PST
Bug #3159 (acronym / abbreviation setting) back-ported.
Comment 128 Alec Smecher 2007-12-04 12:34:04 PST
OJS bug #3171 (comment for checks missing) partially back-ported to OCS. Title defaults added but form checks still not present. Remainder waits for post-2.2.
Comment 129 Alec Smecher 2007-12-04 13:24:07 PST
OJS bug #3172 back-ported to OCS (add comments link on comments page)
Comment 130 Alec Smecher 2007-12-05 14:09:42 PST
Attachment #320 [details] back-ported.

This is a summary of all above comments. The following still need attention:

 - Comment #42
 - Bug #2685 (submission process changes)
 - Bug #2912 (Site-wide logo)
 - Bug #3003 (subscription authentication performance)
 - Bug #2513 MAYBE (section editor search engine)
 - Bug #2986 (ADODB index problems)
 - Comment #81 (subscription types)
 - Comment #83 (RT)
 - Bug #3025 (various localization fixes) needs partial back-porting as
applicable
 - Bug #3030 still needs part of patch addressing templates/submission/layout/galleyForm.tpl
 - Bug #3039 (deleting all dependents) needs back-porting
 - Bug #3046 (auto-assignment of SEs) needs back-porting as applicable
 - Bug #3041 (URL checks on user forms) needs back-porting
 - Bug #3049 (role block plugin)
 - Bug #3078 (journal help search) as applicable
 - Bug #3087 (title on submission confirm page)
 - Bug #3096 (JS registration enable/disable glitch)
 - Bug #3095 (password length limitation)
 - Bug #3103 (Javascript pop-up escaping)
 - Bug #3104 (PublishedArticleDAO order of params)
 - Bug #3105 (language form bug)
 - Comment #107
 - Attachment #351 [details] (locale download support)
 - Comment #112 (theme updates)
 - Bug #3113 (disable pretend upgrade)
 - Bug #3132 (validation problems); probably should wait for some of above
 - Bug #3135 (incorrect ordering of params in PublishedArticleDAO)
 - Bug #3128 (location of editorial process image)
 - Bug #3139 (sponsorship / empty settings) as/if applicable
 - Bug #3142 (supp download via metadata.tpl in RT) 
 - Attachment #377 [details] (installing locales)

Comment 131 Alec Smecher 2007-12-05 15:46:47 PST
Comments #42 and #112 addressed (?) by back-porting theme updates.
Comment 132 Alec Smecher 2007-12-06 16:56:56 PST
OJS bug #3177 (sorting for registrations) back-ported.
Comment 133 Alec Smecher 2007-12-07 10:43:48 PST
Back-ported fix for bug #3119 (citation default problem).
Comment 134 Alec Smecher 2007-12-07 15:56:39 PST
OJS bug #3178 (language switching on supp file upload form) fixed.
Comment 135 Alec Smecher 2007-12-07 16:51:42 PST
Created attachment 430 [details]
Patch against pre-2.1 CVS
Comment 136 Alec Smecher 2007-12-07 16:53:41 PST
OJS bug #3049 (role block plugin) back-ported.
Comment 137 Alec Smecher 2007-12-07 16:55:51 PST
OJS bug #3078 (help search) back-ported.
Comment 138 Alec Smecher 2007-12-07 17:01:06 PST
OJS bug #3087 back-ported (missing confirm title info)

This is a summary of all above comments. The following still need attention:

 - Bug #2685 (submission process changes)
 - Bug #2912 (Site-wide logo)
 - Bug #3003 (subscription authentication performance)
 - Bug #2513 MAYBE (section editor search engine)
 - Bug #2986 (ADODB index problems)
 - Comment #81 (subscription types)
 - Comment #83 (RT)
 - Bug #3025 (various localization fixes) needs partial back-porting as
applicable
 - Bug #3030 still needs part of patch addressing templates/submission/layout/galleyForm.tpl
 - Bug #3039 (deleting all dependents) needs back-porting
 - Bug #3046 (auto-assignment of SEs) needs back-porting as applicable
 - Bug #3041 (URL checks on user forms) needs back-porting
 - Bug #3096 (JS registration enable/disable glitch)
 - Bug #3095 (password length limitation)
 - Bug #3103 (Javascript pop-up escaping)
 - Bug #3104 (PublishedArticleDAO order of params)
 - Bug #3105 (language form bug)
 - Comment #107
 - Attachment #351 [details] (locale download support)
 - Bug #3113 (disable pretend upgrade)
 - Bug #3132 (validation problems); probably should wait for some of above
 - Bug #3135 (incorrect ordering of params in PublishedArticleDAO)
 - Bug #3128 (location of editorial process image)
 - Bug #3139 (sponsorship / empty settings) as/if applicable
 - Bug #3142 (supp download via metadata.tpl in RT) 
 - Attachment #377 [details] (installing locales)
Comment 139 Alec Smecher 2007-12-11 19:51:25 PST
OJS bug #3180 and bug #3181 may need to be back-ported.
Comment 140 Alec Smecher 2007-12-12 12:01:50 PST
OJS bug #2912 (site-wide logo) back-ported
OJS bug #3181 (default meta_indexed value for default track) back-ported
Comment 141 Alec Smecher 2007-12-12 12:05:36 PST
OJS bug #3180 (finding references RT) back-port not needed ATM.
Comment 142 Alec Smecher 2007-12-12 22:18:37 PST
OJS bug #2986 (index fix) back-ported.
Comment 143 Alec Smecher 2007-12-18 17:01:52 PST
OJS bug #3113 back-ported. Still needing attention:

 - Bug #2685 (submission process changes)
 - Bug #3003 (subscription authentication performance)
 - Bug #2513 MAYBE (section editor search engine)
 - Comment #81 (subscription types)
 - Comment #83 (RT)
 - Bug #3025 (various localization fixes) needs partial back-porting as
applicable
 - Bug #3030 still needs part of patch addressing
templates/submission/layout/galleyForm.tpl
 - Bug #3039 (deleting all dependents) needs back-porting
 - Bug #3046 (auto-assignment of SEs) needs back-porting as applicable
 - Bug #3041 (URL checks on user forms) needs back-porting
 - Bug #3096 (JS registration enable/disable glitch)
 - Bug #3095 (password length limitation)
 - Bug #3103 (Javascript pop-up escaping)
 - Bug #3104 (PublishedArticleDAO order of params)
 - Bug #3105 (language form bug)
 - Comment #107
 - Attachment #351 [details] (locale download support)
 - Bug #3132 (validation problems); probably should wait for some of above
 - Bug #3135 (incorrect ordering of params in PublishedArticleDAO)
 - Bug #3128 (location of editorial process image)
 - Bug #3139 (sponsorship / empty settings) as/if applicable
 - Bug #3142 (supp download via metadata.tpl in RT) 
 - Attachment #377 [details] (installing locales)
Comment 144 Alec Smecher 2007-12-18 17:25:20 PST
OJS bug #3095 already back-ported;
OJS bug #3039 back-ported.
Comment 145 Alec Smecher 2007-12-18 17:30:02 PST
OJS bug #3105 (languages form bug) back-ported.

Still needing attention:
 - Bug #2685 (submission process changes)
 - Bug #2912 (Site-wide logo)
 - Bug #3003 (subscription authentication performance)
 - Bug #2513 MAYBE (section editor search engine)
 - Bug #2986 (ADODB index problems)
 - Comment #81 (subscription types)
 - Comment #83 (RT)
 - Bug #3025 (various localization fixes) needs partial back-porting as
applicable
 - Bug #3030 still needs part of patch addressing
templates/submission/layout/galleyForm.tpl
 - Bug #3046 (auto-assignment of SEs) needs back-porting as applicable
 - Bug #3041 (URL checks on user forms) needs back-porting
 - Bug #3096 (JS registration enable/disable glitch)
 - Bug #3103 (Javascript pop-up escaping)
 - Bug #3104 (PublishedArticleDAO order of params)
 - Comment #107
 - Attachment #351 [details] (locale download support)
 - Bug #3113 (disable pretend upgrade)
 - Bug #3132 (validation problems); probably should wait for some of above
 - Bug #3135 (incorrect ordering of params in PublishedArticleDAO)
 - Bug #3128 (location of editorial process image)
 - Bug #3139 (sponsorship / empty settings) as/if applicable
 - Bug #3142 (supp download via metadata.tpl in RT) 
 - Attachment #377 [details] (installing locales)
Comment 146 Alec Smecher 2007-12-19 12:13:50 PST
Back-ported OJS bug #3199 fix (BiBTeX citations)
Comment 147 Alec Smecher 2007-12-19 17:03:16 PST
OJS bug #3200 (galley locale fallback) back-ported
Comment 148 Alec Smecher 2007-12-21 16:02:24 PST
OJS bug #3202 (missing localization for logo settings on upgrade) back-ported.
Comment 149 Alec Smecher 2008-01-02 18:01:09 PST
OJS bug #3207 (grep and fix potential XSS flaws) back-ported.
Comment 150 Alec Smecher 2008-01-04 09:27:17 PST
OJS bug #3210 (separations between actions) back-ported
Comment 151 Alec Smecher 2008-01-08 15:18:05 PST
OJS bug #3213 (date compare bug in setDueDate) back-ported
OJS bug #3214 (leftover $smarty.foreach reference in iterator process) back-ported
Comment 152 Alec Smecher 2008-01-09 15:55:51 PST
OJS bug #3215 (getUserDateVar AM/PM problem) back-ported.
Comment 153 Alec Smecher 2008-01-11 12:33:31 PST
Relevant parts of OJS bug #3219 (non-null blanks in public IDs fix) back-ported.
Comment 154 Alec Smecher 2008-01-28 10:06:43 PST
Back-ported OJS bug #3239 fix (missing width and height on site logo)
Comment 155 Alec Smecher 2008-01-31 13:58:09 PST
Back-ported OJS bug #2315 (paging missing from Manager's emails list)
Comment 156 Alec Smecher 2008-02-04 11:13:42 PST
Back-ported OJS bug #3246 (presenter index at site level)
Comment 157 Alec Smecher 2008-02-04 13:11:07 PST
OJS bug #3247 (extra fetch in submission notes) back-ported.
Comment 158 Alec Smecher 2008-02-09 15:04:49 PST
Back-ported OJS bug #3232 (PostgreSQL and null assoc ID insert)
Comment 159 Alec Smecher 2008-02-11 15:13:15 PST
OJS bug #3259 back-ported (max lengths for affiliation and URL)
Comment 160 Michael Felczak 2008-02-12 16:11:12 PST
Back-port OJS Bug #3256 (CLI merge users) if/as applicable.
Comment 161 Alec Smecher 2008-02-19 13:25:34 PST
OJS bug #3262 back-ported (view counts made visible to authors)
Comment 162 Alec Smecher 2008-02-20 11:16:38 PST
Still needing attention:
 - Bug #2513 MAYBE (section editor search engine)
 - Bug #2685 (submission process changes)
 - Bug #2912 (Site-wide logo)
 - Bug #2986 (ADODB index problems)
 - Bug #3003 (subscription authentication performance)
 - Bug #3025 (various localization fixes) needs partial back-porting as applic.
 - Bug #3030 still needs part of patch addressing
 - Bug #3041 (URL checks on user forms) needs back-porting
 - Bug #3046 (auto-assignment of SEs) needs back-porting as applicable
 - Bug #3096 (JS registration enable/disable glitch)
 - Bug #3103 (Javascript pop-up escaping)
 - Bug #3104 (PublishedArticleDAO order of params)
 - Bug #3113 (disable pretend upgrade)
 - Bug #3128 (location of editorial process image)
 - Bug #3132 (validation problems); probably should wait for some of above
 - Bug #3135 (incorrect ordering of params in PublishedArticleDAO)
 - Bug #3139 (sponsorship / empty settings) as/if applicable
 - Bug #3142 (supp download via metadata.tpl in RT)
 - Comment #81 (subscription types)
 - Comment #83 (RT) templates/submission/layout/galleyForm.tpl
 - Comment #107
 - Attachment #351 [details] (locale download support)
 - Attachment #377 [details] (installing locales)
Comment 163 Alec Smecher 2008-02-20 11:30:54 PST
OJS bug #2912 already back-ported
Comment 164 Alec Smecher 2008-02-20 11:35:36 PST
OJS bug #2986 already back-ported.
Comment 165 Alec Smecher 2008-02-20 11:38:23 PST
Bug #3003 in comment #162 should read Bug #3001. Suggest not porting this until usage habits for IP ranges in OCS are more clear to us.
Comment 166 Alec Smecher 2008-02-20 11:51:30 PST
OJS bug #3025 (localization fixes) back-ported.
Comment 167 Alec Smecher 2008-02-20 12:02:08 PST
OJS bug #3030 already fully back-ported.
OJS bug #3041 back-ported.

Still needing attention:
 - Bug #2513 MAYBE (section editor search engine)
 - Bug #2685 (submission process changes)
 - Bug #3046 (auto-assignment of SEs) needs back-porting as applicable
 - Bug #3096 (JS registration enable/disable glitch)
 - Bug #3103 (Javascript pop-up escaping)
 - Bug #3104 (PublishedArticleDAO order of params)
 - Bug #3113 (disable pretend upgrade)
 - Bug #3128 (location of editorial process image)
 - Bug #3132 (validation problems); probably should wait for some of above
 - Bug #3135 (incorrect ordering of params in PublishedArticleDAO)
 - Bug #3139 (sponsorship / empty settings) as/if applicable
 - Bug #3142 (supp download via metadata.tpl in RT)
 - Comment #81 (subscription types)
 - Comment #83 (RT)
 - Comment #107
 - Attachment #351 [details] (locale download support)
 - Attachment #377 [details] (installing locales)
Comment 168 Alec Smecher 2008-02-20 12:14:40 PST
OJS bug #3046 back-ported
Comment 169 Alec Smecher 2008-02-20 12:22:44 PST
OJS bug #3113 already back-ported.
Comment 170 Alec Smecher 2008-02-20 13:08:01 PST
OJS bug #3096 does not apply to OCS.
Comment 171 Alec Smecher 2008-02-20 13:09:00 PST
OJS bug #3103 already back-ported.
Comment 172 Alec Smecher 2008-02-20 13:10:42 PST
OJS bug #3104 does not apply to OCS.
Comment 173 Alec Smecher 2008-02-20 13:45:29 PST
OJS bug #3132 back-ported.

Still needing attention:
 - Bug #2513 MAYBE (section editor search engine)
 - Bug #2685 (submission process changes)
 - Bug #3128 (location of editorial process image)
 - Bug #3132 (validation problems); probably should wait for some of above
 - Bug #3139 (sponsorship / empty settings) as/if applicable
 - Bug #3142 (supp download via metadata.tpl in RT)
 - Comment #81 (subscription types)
 - Comment #83 (RT)
 - Comment #107
 - Attachment #351 [details] (locale download support)
 - Attachment #377 [details] (installing locales)
Comment 174 Alec Smecher 2008-02-29 12:10:23 PST
OCS bug #3128 (image in About This Publishing System) back-ported.
Comment 175 Alec Smecher 2008-02-29 12:19:29 PST
Back-ported OJS bug #3139 (empty entries for sponsors).

Still needing attention:
 - Bug #2513 MAYBE (section editor search engine)
 - Bug #2685 (submission process changes)
 - Bug #3142 (supp download via metadata.tpl in RT)
 - Comment #81 (subscription types)
 - Comment #83 (RT)
 - Comment #107
 - Attachment #351 [details] (locale download support)
 - Attachment #377 [details] (installing locales)
Comment 176 Alec Smecher 2008-02-29 13:13:52 PST
Comment #83 addressed (new RT for finding references)
Comment 177 Alec Smecher 2008-02-29 13:18:09 PST
Comment #107 back-ported.
Comment 178 Alec Smecher 2008-02-29 13:21:01 PST
OJS bug #3142 (Supp file download in metadata RT) back-ported.
Comment 179 Alec Smecher 2008-02-29 13:53:46 PST
Back-ported OJS bug #2685 (submission process changes)

Still needing attention:
 - Bug #2513 MAYBE (section editor search engine)
 - Comment #81 (subscription types)
 - Attachment #351 [details] (locale download support)
 - Attachment #377 [details] (installing locales)
Comment 180 Alec Smecher 2008-03-08 23:18:12 PST
Translation tools back-ported from OJS.
Comment 181 Michael Felczak 2008-03-19 10:55:41 PDT
Back-port OJS Bug 3298 (Header image border style hard-coded in header template)
Comment 182 Michael Felczak 2008-03-19 10:59:14 PDT
Back-port OJS Bug 3304 (Hard-coded border style for homepage image)
Comment 183 Michael Felczak 2008-03-19 11:03:57 PDT
Back-port OJS Bug 3301 (Misc. XHTML errors)
Comment 184 Michael Felczak 2008-03-19 11:05:14 PDT
Back-port OJS Bug 2968 (Add support for logo ALT tags)
Comment 185 Alec Smecher 2008-03-22 04:32:16 PDT
OJS bug #3313 (add conditionality for originating IP mail header) back-ported.
Comment 186 Michael Felczak 2008-03-31 13:28:07 PDT
Back-port OJS Bug 2181 (Custom localization strings plugin)
Comment 187 Michael Felczak 2008-04-02 14:43:48 PDT
Back-port OJS Bug #3292 (Announcements RSS plugin)
Comment 188 Alec Smecher 2008-04-04 01:28:27 PDT
Back-ported OJS bug #3325 (anchor support in ojs:// URLs)
Comment 189 Alec Smecher 2008-04-16 08:45:03 PDT
Back-ported OJS bug #3373 (reference abuse)
Comment 190 Alec Smecher 2008-04-18 09:44:53 PDT
Back-ported OJS bug #3392 (manual installer still uses site title column)
Comment 191 Alec Smecher 2008-04-22 09:34:06 PDT
Bug #3402 (rounding numeric settings) back-ported
Comment 192 Alec Smecher 2008-05-14 08:53:30 PDT
OJS bug #3494 (display of disabled conferences) back-ported.
Comment 193 Alec Smecher 2008-05-21 17:00:49 PDT
This comment supercedes the above.

Still needing attention:
 - Bug #2513 MAYBE (section editor search engine)
 - Comment #81 (subscription types)
 - Attachment #351 [details] (locale download support)
 - Attachment #377 [details] (installing locales)
 - Bug #3298 (Header image border style hard-coded in header
template)
 - Bug #3304 (Hard-coded border style for homepage image)
 - Bug #3301 (Misc. XHTML errors)
 - Bug #2968 (Add support for logo ALT tags)
 - Bug #2181 (Custom localization strings plugin)
 - Bug #3292 (Announcements RSS plugin)

None of these are critical enough to hold back OCS 2.1.
Comment 194 Alec Smecher 2008-05-23 10:22:53 PDT
Closing. Bug #3524 continues for OCS 2.1.1.